#define PI 3.141593

precision mediump float;
uniform sampler2D sTexture;
varying vec2 vTextureCoord;
uniform float uTileOpacity;
uniform float uTileExpansionFactorPow;
uniform float uTileExpansionTexCoordEnd;
uniform float uTileExpansionIntervalBegin;
uniform float uTileExpansionStartOffset;
uniform float uTileExpansionFadeAwayBegin;

void main() {

  vec2 texChoord = vTextureCoord;

  texChoord.y = (texChoord.y < uTileExpansionIntervalBegin) ? (texChoord.y - uTileExpansionStartOffset) : texChoord.y;

  gl_FragColor = texture2D(sTexture, texChoord);

  // Fade in the new expanded text as we approach the preview bump on the curve
  float mixFactor = uTileExpansionFactorPow;
  gl_FragColor.a = (texChoord.y > uTileExpansionFadeAwayBegin && texChoord.y < uTileExpansionTexCoordEnd) ? (mixFactor * gl_FragColor.a): gl_FragColor.a;

  // By discarding transparent pixels, the transparent content planes will not block pixels in the Z-buffer
  // when it shouldn't
  if (gl_FragColor.a < 0.02) {
    discard;
  }

  gl_FragColor.a = min(uTileOpacity, gl_FragColor.a);
}
