uniform mat4 uMVPMatrix;
uniform float uSelected;
uniform float uTime;
uniform float uTileOpacity;
uniform vec3 uTileHighlighted;
uniform float uTileExpansionFactor;

attribute vec4 aPosition;
attribute vec2 aTextureCoord;
attribute vec2 aTextureCoord2;
attribute vec4 aNormal;

varying vec2 vTextureCoord;
varying vec2 vTextureCoord2;

varying vec4 vPosition;
varying vec4 vNormal;
varying mat4 vMVPMatrix;

void main() {

    gl_Position = uMVPMatrix * aPosition;
    vTextureCoord = aTextureCoord;
    vTextureCoord2 = aTextureCoord2;
    vPosition = aPosition;
    vNormal = aNormal;
    vMVPMatrix = uMVPMatrix;
}